Problemas Con la libreria WProgram.h (Resuelto)

Tengo varias librerías/dependencias que me piden el “WProgram.h” por mas que busco por el foro o por google, solo me sale el error de las versiones inferiores a 1.0.0, que tenias que cambiarlo por “Arduino.h” (actualmente estoy usando la 1.6.8 ) no la encuentro ni en los repositoros oficiales, ni por ninguna parte, y al ponerlo en el sketch, salta este error:

fatal error: WProgram.h: No such file or directory

#include <WProgram.h>

Gracias por todo de antemano

Librerías que requieren WProgram.h estan muy desactualizadas.
No uses librerías que tengan mas de 1 o 2 años de antiguedd. Y menos que menos algo compatible para 1.0.0 correrlo con 1.6.8, sentido común Adrianalex!!

surbyte:
Librerías que requieren WProgram.h estan muy desactualizadas.
No uses librerías que tengan mas de 1 o 2 años de antiguedd. Y menos que menos algo compatible para 1.0.0 correrlo con 1.6.8, sentido común Adrianalex!!

me lo pide la "phi_prompt" (librería para hacer menús en LCDs), si no, no funciona :S

comenta la linea o borralo

ok